---
layout: sidebar
title: Help, Support, and Mailing Lists
permalink: /support/
redirect_from:
- /help/
- /mailing-lists/
- /doc/mailing-lists/
- /en/doc/mailing-lists/
- /en/doc/qubes-lists/
- /doc/qubes-lists/
- /doc/QubesLists/
- /wiki/QubesLists/
---

Help, Support, and Mailing Lists
================================

Help and support for Qubes OS is available from the [documentation] and the
[mailing lists], which are explained below. The Qubes OS Project does not offer
paid support services.


Staying safe
------------

The Qubes mailing lists are open to the public. The contents of the list are
crawled by search engines and archived by third-party services outside of our
control. Please do not send anything to the mailing lists that you are not
comfortable seeing discussed in public. If confidentiality is a concern, please
use PGP encryption in an off-list email.

The Qubes community includes people from all walks of life and from around the
world. Individuals differ in areas of experience and technical expertise. You
will come into contact with others whose views and agendas differ from your own.
Everyone is free to write what they please, as long as it doesn't violate our
[Code of Conduct][coc]. Be friendly and open, but do not believe everything you
read. Use good judgment, and be especially careful when following instructions
(e.g., copying commands) given by others on the lists.

All official announcements from the [Qubes team] will be signed by the PGP key
belonging to the team member who sends the announcement. However, anyone on the
list can choose to sign their messages, so the presence of a PGP signature does
not indicate authority. How, then, should you sort the good advice from the bad?
This is up to each individual to decide, but it helps to know that many members
of our community have proven themselves knowledgeable through their
[contributions] to the project. Typically, these individuals sign their messages
with the same key as (or another key authenticated by) the one they use to
[sign their contributions][code-signing].

For example, you might find it easier to trust advice from someone who has a
proven track record of [contributing software packages] or [contributing to the
documentation]. It's unlikely that individuals who have worked hard to build
good reputations for themselves through their contributions over the years would
risk giving malicious advice in signed messages to public mailing lists. Since
every contribution to the Qubes OS Project is publicly visible and
cryptographically signed, anyone would be in a position to [verify] that these
came from the same keyholder.


Discussion list guidelines
--------------------------

Qubes discussions mainly take place on two mailing lists: `qubes-users` and
`qubes-devel`, both of which are explained below. Please send all questions
regarding Qubes to one of these two lists. **Please do not send questions to
individual Qubes developers.** By sending a message to the appropriate mailing
list, you are not only giving others a chance to help you, but you may also be
helping others by starting a public discussion about a shared problem or
interest.

These are open mailing lists where people freely come together to discuss Qubes
and voluntarily help each other out of mutual interest and good will. They are
*not* your personal, paid support service. **No one owes you a reply.** No one
here is responsible for solving your problems for you. Nonetheless, there are
many things you can do to make it more likely that you will receive a reply.
This community is fortunate to have an exceptionally large number of friendly
and knowledgeable people who enjoy corresponding on these lists. The vast
majority of them will be happy to help you if you follow these simple
guidelines.

 * **Be polite and respectful.** Remember, no one here is under any obligation
   to reply to you. Think about your readers. Most of them are coming home after
   a long, hard day at work. The last thing they need is someone's temper
   tantrum in their inboxes. If you are rude and disrespectful, you are very
   likely to be ignored.

 * **Be concise.** Include only essential information. Most of your readers lead
   busy lives and have precious little time. We *want* to spend some of that
   time helping you, if we can. But if you ramble, it will be easier to skip
   over you and help someone else who gets right to the point.

 * **Help us help you.** Tell us what you've already tried, and which
   documentation pages you've already read. Put yourself in your readers' shoes.
   What essential information would they require in order to be able to help
   you? Make sure to include that information in your message. [Ask
   questions the smart way.][smart-questions]

 * **Be patient.** Do not "bump" a thread more than once every three days *at
   most*. If it seems like your messages to the mailing lists are consistently
   being ignored, make sure you're following the guidelines explained on this
   page. If you're already doing so but still not getting any replies, then it's
   likely that no one who knows the answer has had time to reply yet. Remember
   that the devs are very busy working on Qubes. They usually only have a chance
   to answer questions on the mailing lists once every several days.

 * **Be a good community member.** As with any social community, members of the
   mailing list earn different reputations for themselves over time. We want the
   mailing lists to be a friendly, productive place where information and ideas
   are exchanged for the mutual benefit of all. We understand that the best way
   to achieve this is to encourage and cultivate other like-minded individuals.
   Those who have shown themselves to be good community members through their
   past contributions have earned our good will, and we will be especially eager
   to help them and collaborate with them. If you are new to the community, you
   should understand that it will take time for you to earn the good will of
   others. This does not mean that you will not receive help. On the contrary,
   we are fortunate to have such a helpful and understanding community that many
   of them spend hours of their personal time helping complete strangers,
   including many who post to the lists anonymously. (Given the integration of
   Qubes with [Whonix], we understand better than most the complexities of
   privacy and anonymity, and we know that many users have no other choice but
   to post anonymously.) You can read our project's [Code of Conduct][coc] for
   more information.

### Specific rules and notes ###

 * While the mailing lists are implemented as Google Group web forums, many
   discussants treat them as conventional [mailing lists] rather than web
   forums. The Qubes OS Project does not maintain a web forum apart from the
   mailing lists.
 * Send your message to the correct list. Read the sections below to determine
   which list is correct for your message.
 * Do not [top-post].
 * Include a precise and informative subject line. This will allow others to
   easily find your thread in the future and use it as a reference. (Bad: "Help!
   Qubes problems!" Good: "R2B2 Installation problem: Apple keyboard not working
   in installer.")
 * If your message is not successfully sent to the list, it probably got caught
   in the spam filter. We check the spam filter regularly, so please be patient,
   and your message should be approved (and your email address added to the
   whitelist) within a few days.
 * Keep the mailing list CCed throughout the conversation unless there's a
   special need for privacy (in which case, use PGP encryption). This increases
   the likelihood that a greater quantity of useful information will be
   available to everyone in the future.
 * Quote appropriately. If you're replying to a thread (whether your own or
   someone else's), you should make sure to quote enough from previous messages
   in the thread so that people reading your message can understand the context
   without having to find and read earlier messages from that thread. Each reply
   should continue the conversation and, ideally, be readable as a conversation
   in itself. Do not quote advertisements in signatures or inline PGP signature
   blocks. (Quoting the latter interferes with the ability of programs like
   Enigmail to properly quote replies thereafter).
 * If you do not speak English, you should feel free to post in your own
   language. However, bear in mind that most members of the list can only read
   English. You may wish to include an automated translation in your message out
   of consideration for those readers. If you choose to write in English, please
   do not apologize for doing so poorly, as it is unnecessary. We understand and
   will ask for clarification if needed.
 * While we're generally open to hearing suggestions for new features, please
   note that we already have a pretty well defined [roadmap], and it's rather
   unlikely that we will change our schedule in order to accommodate your
   request. If there's a particular feature you'd like to see in Qubes, a much
   more effective way to make it happen is to contribute a patch that implements
   it. We happily accept such contributions, provided they meet our standards.
   Please note, however, that it's always a good idea to field a discussion of
   your idea on the `qubes-devel` list before putting in a lot of hard work on
   something that we may not be able or willing to accept.


qubes-announce
--------------

This is a read-only list for those who wish to receive only very important,
infrequent messages. Only the core Qubes team can post to this list, and only
[Qubes Security Bulletins (QSBs)][qsb] and new Qubes OS releases are announced
here.

### How to subscribe

#### Google Groups

 * To subscribe to the list, send a blank email to
   `qubes-announce+subscribe@googlegroups.com`.
   * Note: A Gmail account is *not* required. Any email address will work.
 * To unsubscribe, send a blank email to
   `qubes-announce+unsubscribe@googlegroups.com`.
 * This list can also be browsed via an optional [Google Groups web
   interface][qubes-announce-web].


qubes-users
-----------

### How to use this list

This list is for helping users solve various daily problems with Qubes OS.
Examples of topics or questions suitable for this list include:

 * [HCL] reports
 * Installation problems
 * Hardware compatibility problems
 * Questions of the form: "How do I...?"

### Read these first

Please try searching both the Qubes website and the archives of the mailing
lists before sending a question. In addition, please make sure that you have
read and understood the following basic documentation prior to posting to the
list:

 * The [Installation Guide], [System Requirements], and [HCL] (for problems
   related to installing Qubes OS)
 * The [User FAQ]
 * The [documentation] (for questions about how to use Qubes OS)

### How to subscribe and post

#### Google Groups

You don't have to subscribe in order to post to this list. However, subscribing
might nonetheless be desirable, as it ensures that your messages will not be
eaten by the Google Groups spam filter and allows you to receive messages which
were sent directly to the list.

 * To subscribe to the list, send a blank email to
   `qubes-users+subscribe@googlegroups.com`.
   * Note: A Gmail account is *not* required. Any email address will work.
 * To post a message to the list, address your email to
   `qubes-users@googlegroups.com`.
   * Note: You don't have to be subscribed in order to post.
 * To unsubscribe, send a blank email to
   `qubes-users+unsubscribe@googlegroups.com`.
 * This list also has a [Google Groups web interface][qubes-users-web].
   * Some users prefer to interact with the mailing list through the web
     interface. This has the advantage that it allows you to search and reply to
     messages which were sent prior to your subscription to the list. However, a
     Google account is required in order to post through this interface.
 * You can also search the [traditional mail archive][qubes-users-archive]

#### Gmane

The mailing list is also available via Gmane, a service that provides mailing
lists in the form of newsgroups. This makes it possible for you to subscribe
and read all mails sent to the list without having them all sent to your normal
mail account.  To use Gmane, you need a newsreader such as Mozilla Thunderbird.

To add Gmane's server to Thunderbird, follow the instructions in
[Mozilla Thunderbird's documentation for how to add
newsgroups][thunderbird-newsgroup].
In the fourth step replace `news.mozilla.org` with `news.gmane.org`.

  * To subscribe to the list, click on **Subscribe...** and search for the
    newsgroup [`gmane.os.qubes.user`]. Click on the checkbox besides the name
    and **OK**.
  * You send and reply to mails the same way you would normally.
  * To unsubscribe from the list, click on **Subscribe...**
    search for the newsgroup [`gmane.os.qubes.user`], uncheck the checkbox, and
    click on **OK**. Thunderbird will automatically remove the newsgroup.


qubes-devel
-----------

### How to use this list

This list is primarily intended for people who are interested in contributing to
Qubes or who are willing to learn more about its architecture and
implementation. Examples of topics and questions suitable for this list include:

 * Questions about why we made certain architecture or implementation decisions.
   * For example: "Why did you implement XYZ this way and not the other way?"
 * Questions about code layout and where code is for certain functionality.
 * Discussions about proposed new features, patches, etc.
   * For example: "I would like to implement feature XYZ."
 * Contributed code and patches.
 * Security discussions which are relevant to Qubes in some way.

### How to subscribe and post

#### Google Groups

You must be subscribed in order to post to this list.

 * To subscribe to the list, send a blank email to
   `qubes-devel+subscribe@googlegroups.com`.
   * Note: A Gmail account is *not* required. Any email address will work.
 * To post a message to the list, address your email to
   `qubes-devel@googlegroups.com`.
   * Note: You must be subscribed in order to post. If your post does not
     appear, please allow time for moderation to occur.
 * To unsubscribe, send a blank email to
   `qubes-devel+unsubscribe@googlegroups.com`.
 * This list has a [Google Groups web interface][qubes-devel-web].
   * Some users prefer to interact with the mailing list through the web
     interface. This has the advantage that it allows you to search and reply to
     messages which were sent prior to your subscription to the list. However, a
     Google account is required in order to post through this interface.
 * You can also search the [traditional mail archive][qubes-devel-archive]

#### Gmane

The mailing list is also available via Gmane, a service that provides mailing
lists in the form of newsgroups. This makes it possible for you to subscribe
and read all mails sent to the list without having them all sent to your normal
mail account.  To use Gmane, you need a newsreader such as Mozilla Thunderbird.

To add Gmane's server to Thunderbird, follow the instructions in
[Mozilla Thunderbird's documentation for how to add
newsgroups][thunderbird-newsgroup].
In the fourth step replace `news.mozilla.org` with `news.gmane.org`.

  * To subscribe to the list, click on **Subscribe...** and search for the
    newsgroup [`gmane.os.qubes.devel`]. Click on the checkbox besides the name
    and **OK**.
  * You send and reply to mails the same way you would normally.
  * To unsubscribe from the list, click on **Subscribe...**
    search for the newsgroup [`gmane.os.qubes.devel`], uncheck the checkbox, and
    click on **OK**. Thunderbird will automatically remove the newsgroup.


qubes-project
-------------

### How to use this list

This list is for non-technical discussion and coordination around the
Qubes OS project.

Examples of topics or question suitable for this list include:

* Participation (talks, workshops, etc.) at upcoming events
* Project funding applications and strategies
* FOSS governance discussions
* Most Github issues tagged "[business]"

### How to subscribe and post

#### Google Groups

You don't have to subscribe in order to post to this list. However, subscribing
might nonetheless be desirable, as it ensures that your messages will not be
eaten by the Google Groups spam filter and allows you to receive messages which
were sent directly to the list.

 * To subscribe to the list, send a blank email to
   `qubes-project+subscribe@googlegroups.com`.
   * Note: A Gmail account is *not* required. Any email address will work.
 * To post a message to the list, address your email to
   `qubes-project@googlegroups.com`.
   * Note: You don't have to be subscribed in order to post.
 * To unsubscribe, send a blank email to
   `qubes-project+unsubscribe@googlegroups.com`.
 * This list also has a [Google Groups web interface][qubes-project-web].
   * Some users prefer to interact with the mailing list through the web
     interface. This has the advantage that it allows you to search and reply to
     messages which were sent prior to your subscription to the list. However, a
     Google account is required in order to post through this interface.

#### Gmane

The mailing list is also available via Gmane, a service that provides mailing
lists in the form of newsgroups. This makes it possible for you to subscribe
and read all mails sent to the list without having them all sent to your normal
mail account.  To use Gmane, you need a newsreader such as Mozilla Thunderbird.

To add Gmane's server to Thunderbird, follow the instructions in
[Mozilla Thunderbird's documentation for how to add
newsgroups][thunderbird-newsgroup].
In the fourth step replace `news.mozilla.org` with `news.gmane.org`.

  * To subscribe to the list, click on **Subscribe...** and search for the
    newsgroup [`gmane.os.qubes.project`]. Click on the checkbox besides the name
    and **OK**.
  * You send and reply to mails the same way you would normally.
  * To unsubscribe from the list, click on **Subscribe...**
    search for the newsgroup [`gmane.os.qubes.project`], uncheck the checkbox, and
    click on **OK**. Thunderbird will automatically remove the newsgroup.


qubes-translation
-----------------

### How to use this list

This list is for discussion around the localization and translation of Qubes OS,
its documentation, and the website.

Examples of topics or question suitable for this list include:

 * Questions about or issues with [Transifex], the translation platform we use
 * Who is managing localization for a given language
 * Most Github issues tagged "[localization]"

### How to subscribe and post

#### Google Groups

You must be subscribed in order to post to this list.

 * To subscribe to the list, send a blank email to
   `qubes-translation+subscribe@googlegroups.com`.
   * Note: A Gmail account is *not* required. Any email address will work.
 * To post a message to the list, address your email to
   `qubes-translation@googlegroups.com`.
   * Note: You don't have to be subscribed in order to post.
 * To unsubscribe, send a blank email to
   `qubes-translation+unsubscribe@googlegroups.com`.
 * This list also has a [Google Groups web interface][qubes-translation-web].
   * Some users prefer to interact with the mailing list through the web
     interface. This has the advantage that it allows you to search and reply to
     messages which were sent prior to your subscription to the list. However, a
     Google account is required in order to post through this interface.


[mailing lists]: https://en.wikipedia.org/wiki/Electronic_mailing_list
[Qubes team]: /team/
[contributions]: /doc/contributing/
[code-signing]: /doc/code-signing/
[contributing software packages]: /doc/package-contributions/
[contributing to the documentation]: /doc/doc-guidelines/
[verify]: /security/verifying-signatures/
[qsb]: /security/bulletins/
[qubes-announce-web]: https://groups.google.com/group/qubes-announce
[top-post]: https://en.wikipedia.org/wiki/Posting_style
[roadmap]: https://github.com/QubesOS/qubes-issues/milestones
[smart-questions]: http://www.catb.org/esr/faqs/smart-questions.html
[Whonix]: /doc/whonix/
[HCL]: /doc/hcl/
[Installation Guide]: /doc/installation-guide/
[System Requirements]: /doc/system-requirements/
[User FAQ]: /faq/#users
[documentation]: /doc/
[thunderbird-newsgroup]: https://support.mozilla.org/en-US/kb/creating-newsgroup-account
[qubes-users-archive]: https://www.mail-archive.com/qubes-users@googlegroups.com/
[qubes-devel-archive]: https://www.mail-archive.com/qubes-devel@googlegroups.com/
[qubes-users-web]: https://groups.google.com/group/qubes-users
[qubes-devel-web]: https://groups.google.com/group/qubes-devel
[qubes-translation-web]: https://groups.google.com/group/qubes-translation
[qubes-project-web]: https://groups.google.com/group/qubes-project
[`gmane.os.qubes.user`]: http://dir.gmane.org/gmane.os.qubes.user
[`gmane.os.qubes.devel`]: http://dir.gmane.org/gmane.os.qubes.devel
[`gmane.os.qubes.project`]: http://dir.gmane.org/gmane.os.qubes.project
[business]: https://github.com/QubesOS/qubes-issues/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3Abusiness
[localization]: https://github.com/QubesOS/qubes-issues/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3Alocalization
[coc]: /code-of-conduct/
[Transifex]: https://www.transifex.com/otf/qubes/

